#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libvdpau
Version		:	1.3
Release		:	14.4.0.0%{?dist}
Summary		:	Wrapper library for the Video Decode and Presentation API

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://gitlab.freedesktop.org/vdpau/libvdpau

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	gcc-c++
BuildRequires	:	xorg-libX11

#-----------------------------------------------------------------------------
%description
VDPAU is the Video Decode and Presentation API for UNIX.
It provides an interface to video decode acceleration and
presentation hardware present in modern GPUs.
#-----------------------------------------------------------------------------
%prep
%setup -q 

#-----------------------------------------------------------------------------
%build


meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	build

%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja							\
	-C build					\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
	-C build					\
	install

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_sysconfdir}/vdpau_wrapper.cfg
%{_includedir}/vdpau/vdpau.h
%{_includedir}/vdpau/vdpau_x11.h
%{_libdir}/%{name}.so*
%{_libdir}/vdpau/%{name}_trace.so*
%{_libdir}/pkgconfig/vdpau.pc

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
